<!--

* basket_list and search_adv_list template
*
*
* @package  Maarch LetterBox 3.0
* @version 3.0
* @since 10/2005
* @license GPL
* @author  Loïc Vinet  <dev@maarch.org>
*




Parts :
    ##HEAD< : Begining of the head part
    ##HEAD> : End of the head part

    ##RESULT< : Begining of result list
    ##RESULT> : End fo result list

Functions :


    ##cssLine|arg1|arg2##                   : load css style for line. arg1,arg2 : switch beetwin style on line one or line two
    ##cssLineReload##                       : reload last css style loaded by cssLine
    ##sortColumn|arg##                      : sort list. arg = sort;
    ##defineLang|arg##                      : show label. arg = constant define in lang.php;
    ##loadImage|arg1|arg2##                 : show loaded image; arg1= name of img file, arg2 = name of the module (if image in module)
    ##loadValue|arg##                       : load value in the db; arg= column's value  identifier
    ##showActionIcon|arg1|arg2|arg3|arg4##  : action icon. arg1 = label, arg2  = image , arg3 = action (javascript), arg4 = disabled rule
    ##includeFile|arg1|arg2##               : include file. arg1 = name of the file, arg2  = name of the module (if file in module)
    ##setListParameter|arg1|arg2##          : set parameter's value for actual list. arg1 = name of parameter, arg2  = new value
    ##getListParameter|arg##                : get parameter's value for actual list. arg1 = name of parameter
    ##ifStatement|arg1|arg2|arg3|arg4##     : allow conditional execution . arg1=condition, arg2= statement 1, arg3 = statement 2
    ##isModuleLoaded|arg##                  : test if module is loaded. arg = module id
    ##showDefaultAction##                   : display the default action name in basket 

Mods 


    ##radioButton##         : display radio
    ##checkBox##            : display checkbox
    ##checkUncheckAll##     : display checkbox for check/uncheck All
    ##clickOnLine##         : action on click under the line
    ##showIconDocument##    : view document icon
    ##showIconDetails##     : view detail's page icon
    ##getBusinessAppUrl##   : get business app url
        
         
-->


#!#TABLE
<!-- ----------------------------------------------------------------------- -->
    <table border="0" cellspacing="0" class="listing spec  zero_padding listResultContent" id="extended_list" style="display:block;padding: 0px;width:100%;">

#!#HEAD
<!-- ----------------------------------------------------------------------- -->
        <thead border="1" class="listResultContentHead">
            <tr>
                <th style="width:150px;text-align:center;">
                    <span style="text-align:center;">
                        ##checkUncheckAll##&nbsp;##ifStatement|'#defineLang|_ID_TO_DISPLAY#'==res_id|<i>#defineLang|_NUM_GED#</i>|## ##ifStatement|'#defineLang|_ID_TO_DISPLAY#'==chrono_number|<i>#defineLang|_CHRONO_NUMBER_SHORT#</i>|## / ##defineLang|_STATUS##<br/>##ifStatement|'#defineLang|_ID_TO_DISPLAY#'==res_id|#sortColumn|res_id#|## ##ifStatement|'#defineLang|_ID_TO_DISPLAY#'==chrono_number|#sortColumn|alt_identifier#|## / ##sortColumn|status##
                    </span>
                </th>
                <th>
                    <div style="display:flex;">
                        <span style="flex:1;">
                            ##defineLang|_SUBJECT## / ##defineLang|_PRIORITY##<br/>##sortColumn|subject## / ##sortColumn|priority##
                        </span>
                        <span style="flex:1;">
                            ##defineLang|_CATEGORY##<br/>##sortColumn|category_id##
                        </span>
                        <span style="flex:1;">
                            ##defineLang|_CREATION_DATE##<br/>##sortColumn|creation_date##
                        </span>
                        <span style="flex:2;">
                            ##defineLang|_ASSIGNEE## - ##defineLang|_REDACTOR## / ##defineLang|_ENTITY##<br/>##sortColumn|dest_user## / ##sortColumn|entity_label##
                        </span>
                        <span style="flex:2;">
                            ##defineLang|_TYPE##<br/>##sortColumn|type_label##
                        </span>
                        <span style="flex:1;">
                            ##defineLang|_DEST_USER## / ##defineLang|_SHIPPER##<br/>
                        </span>
                    </div>
                </th>
            </tr>
        </thead>

        <tbody class="listResultContentBody">
        
#!#RESULT
<!-- ----------------------------------------------------------------------- -->
            <tr class="##cssLine|col|white##">
                <td style="width:150px;text-align:center;">
                    ##loadValue|status####func_isConfidential##<br/><br/>
                    <b title="n°##loadValue|res_id##">##ifStatement|'#defineLang|_ID_TO_DISPLAY#'==res_id|#loadValue|res_id#|## ##ifStatement|'#defineLang|_ID_TO_DISPLAY#'==chrono_number|#loadValue|alt_identifier#|##</b>
                    ##func_cadenas|'#loadValue|locker_user_id#'|'#loadValue|locker_time#'##  ##radioButton## ##checkBox##
                </td>
                <td style="padding: 10px;">
                    <span style="display: flex;width: 100%;padding-bottom: 20px;align-items: center;">
                        <span style="flex:5;font-weight:bold;padding-left: 10px;font-size:15px;">
                            ##loadValue|subject##
                        </span>
                        <span style="flex:1;text-align: right;">
                            <span title="##defineLang|_DEST_USER## - ##defineLang|_SHIPPER##">##loadValue|exp_user_id####loadValue|is_multicontacts## ##func_bool_see_multi_contacts##</span><br/>
                            ##ifStatement|'#loadEscapeValue|real_dest#'!=null|#loadValue|real_dest#|##<br/><br/>
                            ##ifStatement|'#loadEscapeValue|case_label#'!=null|<b>#defineLang|_CASE# : </b>#loadValue|case_label#|##
                        </span>
                    </span>
                    <span style="display: flex;width: 100%;">
                        <span style="flex:1;" title="##defineLang|_PRIORITY##">
                            ##loadValue|priority##
                        </span>
                        <span style="flex:1;" title="##defineLang|_CATEGORY##">
                            ##loadValue|category_img## ##loadValue|category_id##
                        </span>
                        <span style="flex:1;" title="##defineLang|_CREATION_DATE##">
                            <i class="fa fa-calendar-alt fa-2x"></i> ##loadValue|creation_date##
                        </span>
                        <span style="flex:2;" >
                            <span title="##defineLang|_ASSIGNEE## - ##defineLang|_REDACTOR##">##loadValue|dest_user##</span> <span title="##defineLang|_ENTITY##">(##loadValue|entity_label##)</span>
                        </span>
                        <span style="flex:2;" title="##defineLang|_TYPE##">
                            <i class="fa fa-file fa-2x"></i> ##loadValue|type_label##
                        </span>
                        <span style="flex:1;" title="##defineLang|_TYPE##">
                            <span class="actionsTool" style="text-align:center;">
                                ##func_bool_see_notes##
                                ##showActionAdvResultFA|#defineLang|_ATTACHMENTS#|paperclip|loadRepList('#loadValue|res_id#', 'FT')|#loadValue|count_attachment# == 0##
                                ##showActionFA|#defineLang|_WF#|share-alt|loadDiffList('#loadValue|res_id#')##
                                ##ifStatement|'#loadValue|filename#'!=null|#showIconDocument#|##
                                ##showIconDetails##
                            </span>
                        </span>
                    </span>
                   
                </td>
            </tr>
               <tr id="noteList_##loadValue|res_id##" name="noteList_##loadValue|res_id##" style="display: none; border-bottom: solid 1px black; background-color: white;" width="100%">
                    <td colspan="6" style="background-color: #f2f2f2;">
                        <div id="divNoteList_##loadValue|res_id##" align="center" style="color: grey;margin:10px;padding:10px;border: 1px dashed #135F7F;">
                            <i class="fa fa-spinner fa-2x"></i><br />
                            ##define_lang|_LOADING_INFORMATIONS##
                        </div>
                    </td>
                </tr>   
               <tr id="contactsList_sender_##loadValue|res_id##" name="contactsList_##loadValue|res_id##" style="display: none; border-bottom: solid 1px black; background-color: white;" width="100%">
                    <td colspan="6" style="background-color: #f2f2f2;">
                        <div id="divContactsList_sender_##loadValue|res_id##" align="center" style="color: grey;margin:10px;padding:10px;border: 1px dashed #135F7F;">
                            <i class="fa fa-spinner fa-2x"></i><br />
                            ##define_lang|_LOADING_INFORMATIONS##
                        </div>
                    </td>
                </tr>
                <tr id="contactsList_recipient_##loadValue|res_id##" name="contactsList_##loadValue|res_id##" style="display: none; border-bottom: solid 1px black; background-color: white;" width="100%">
                    <td colspan="6" style="background-color: #f2f2f2;">
                        <div id="divContactsList_recipient_##loadValue|res_id##" align="center" style="color: grey;margin:10px;padding:10px;border: 1px dashed #135F7F;">
                            <i class="fa fa-spinner fa-2x"></i><br />
                            ##define_lang|_LOADING_INFORMATIONS##
                        </div>
                    </td>
                </tr>
                <tr id="repList_##loadValue|res_id##" name="repList_##loadValue|res_id##" style="display: none; border-bottom: solid 1px black; background-color: #FFF;" width="100%">
                    <td colspan="2" style="background-color: #f2f2f2;">
                        <div id="divRepList_##loadValue|res_id##" align="center" style="color: grey;margin:10px;padding:10px;border: 1px dashed #135F7F;">
                            <i class="fa fa-spinner fa-2x"></i><br />
                            ##defineLang|_LOADING_INFORMATIONS##
                        </div>
                    </td>
                </tr>
                <tr id="diffList_##loadValue|res_id##" name="diffList_##loadValue|res_id##" style="display: none; border-bottom: solid 1px black;" width="100%">
                    <td colspan="2" style="background-color: #f2f2f2;">
                        <div id="divDiffList_##loadValue|res_id##" align="center" style="color: grey;margin:10px;padding:10px;">
                            <i class="fa fa-spinner fa-2x"></i><br />
                            ##defineLang|_LOADING_INFORMATIONS##
                        </div>
                    </td>
                </tr> 

 #!#FOOTER
 <!--   ----------------------------------------------------------------------- -->
        </tbody>
    </table>
    <br/>

<script>
    $j('#container').attr('style', 'width: 90%; min-width: 1000px;');
    $j('#content').attr('style', 'width: auto; min-width: 1000px;');
    $j('table#extended_list').attr('style', 'width: 100%; min-width: 900px; margin: 0;');
</script>
